# logging_event.h File Reference

the internal representation of logging events. More...

`#include <log4c/defs.h>`
`#include <log4c/buffer.h>`
`#include <log4c/location_info.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Data Structures

struct | log4c_logging_event_t
| logging event object More...

## Functions

LOG4C_API log4c_logging_event_t * | log4c_logging_event_new (const char *a_category, int a_priority, const char *a_message)
LOG4C_API void | log4c_logging_event_delete (log4c_logging_event_t *a_event)

## Detailed Description

the internal representation of logging events.

When a affirmative logging decision is made a log4c_logging_event instance is created. This instance is passed around the different log4c components.

## Function Documentation

LOG4C_API void log4c_logging_event_delete | ( | log4c_logging_event_t * | a_event | ) |

Destructor for a logging event.

Parameters:

  a_event | the logging event object

LOG4C_API log4c_logging_event_t* log4c_logging_event_new | ( | const char * | a_category,
|  | int | a_priority,
|  | const char * | a_message
| ) |  |

Constructor for a logging event.

Parameters:

  a_category | the category name
  a_priority | the category initial priority
  a_message | the message of this event

Todo:
  need to handle multi-threading (NDC)